@file:OptIn(InternalResourceApi::class)

package world.respect.shared.generated.resources

import kotlin.OptIn
import kotlin.String
import kotlin.collections.MutableMap
import org.jetbrains.compose.resources.InternalResourceApi
import org.jetbrains.compose.resources.ResourceItem
import org.jetbrains.compose.resources.StringResource

private const val MD: String = "composeResources/world.respect.shared.generated.resources/"

public val Res.string.supported_by: StringResource by lazy {
      StringResource("string:supported_by", "supported_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 13854, 40),
      ))
    }

public val Res.string.system_administrator: StringResource by lazy {
      StringResource("string:system_administrator", "system_administrator", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 13895, 56),
      ))
    }

public val Res.string.take_new_photo_from_camera: StringResource by lazy {
      StringResource("string:take_new_photo_from_camera", "take_new_photo_from_camera", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 13952, 70),
      ))
    }

public val Res.string.task_completion_percentage: StringResource by lazy {
      StringResource("string:task_completion_percentage", "task_completion_percentage", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14023, 74),
      ))
    }

public val Res.string.teacher: StringResource by lazy {
      StringResource("string:teacher", "teacher", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14127, 27),
      ))
    }

public val Res.string.teachers: StringResource by lazy {
      StringResource("string:teachers", "teachers", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14098, 28),
      ))
    }

public val Res.string.terms_and_conditions: StringResource by lazy {
      StringResource("string:terms_and_conditions", "terms_and_conditions", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14155, 56),
      ))
    }

public val Res.string.time: StringResource by lazy {
      StringResource("string:time", "time", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14307, 20),
      ))
    }

public val Res.string.time_of_day: StringResource by lazy {
      StringResource("string:time_of_day", "time_of_day", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14212, 59),
      ))
    }

public val Res.string.time_range: StringResource by lazy {
      StringResource("string:time_range", "time_range", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14272, 34),
      ))
    }

public val Res.string.title: StringResource by lazy {
      StringResource("string:title", "title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14328, 21),
      ))
    }

public val Res.string.to_: StringResource by lazy {
      StringResource("string:to_", "to_", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14350, 15),
      ))
    }

public val Res.string.toggle_visibility: StringResource by lazy {
      StringResource("string:toggle_visibility", "toggle_visibility", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14366, 49),
      ))
    }

public val Res.string.top_5_apps: StringResource by lazy {
      StringResource("string:top_5_apps", "top_5_apps", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14416, 34),
      ))
    }

public val Res.string.top_5_languages: StringResource by lazy {
      StringResource("string:top_5_languages", "top_5_languages", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14451, 43),
      ))
    }

public val Res.string.top_5_lessons: StringResource by lazy {
      StringResource("string:top_5_lessons", "top_5_lessons", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14495, 41),
      ))
    }

public val Res.string.top_5_schools: StringResource by lazy {
      StringResource("string:top_5_schools", "top_5_schools", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14537, 41),
      ))
    }

public val Res.string.top_5_students: StringResource by lazy {
      StringResource("string:top_5_students", "top_5_students", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14579, 42),
      ))
    }

public val Res.string.total_content_usage_duration: StringResource by lazy {
      StringResource("string:total_content_usage_duration", "total_content_usage_duration", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14622, 76),
      ))
    }

public val Res.string.total_duration: StringResource by lazy {
      StringResource("string:total_duration", "total_duration", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14699, 42),
      ))
    }

public val Res.string.total_score: StringResource by lazy {
      StringResource("string:total_score", "total_score", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14742, 35),
      ))
    }

public val Res.string.try_it: StringResource by lazy {
      StringResource("string:try_it", "try_it", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14778, 22),
      ))
    }

public val Res.string.unit: StringResource by lazy {
      StringResource("string:unit", "unit", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14801, 20),
      ))
    }

public val Res.string.unknown_error: StringResource by lazy {
      StringResource("string:unknown_error", "unknown_error", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14822, 41),
      ))
    }

public val Res.string.unspecified: StringResource by lazy {
      StringResource("string:unspecified", "unspecified", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14864, 35),
      ))
    }

public val Res.string.untitled_report: StringResource by lazy {
      StringResource("string:untitled_report", "untitled_report", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14900, 43),
      ))
    }

public val Res.string.userId_placeholder: StringResource by lazy {
      StringResource("string:userId_placeholder", "userId_placeholder", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 14944, 58),
      ))
    }

public val Res.string.user_role: StringResource by lazy {
      StringResource("string:user_role", "user_role", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15003, 57),
      ))
    }

public val Res.string.username_label: StringResource by lazy {
      StringResource("string:username_label", "username_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15061, 34),
      ))
    }

public val Res.string.username_starts_with_number: StringResource by lazy {
      StringResource("string:username_starts_with_number", "username_starts_with_number", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15096, 83),
      ))
    }

public val Res.string.username_too_long: StringResource by lazy {
      StringResource("string:username_too_long", "username_too_long", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15180, 81),
      ))
    }

public val Res.string.username_too_short: StringResource by lazy {
      StringResource("string:username_too_short", "username_too_short", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15262, 78),
      ))
    }

public val Res.string.`value`: StringResource by lazy {
      StringResource("string:value", "value", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15341, 21),
      ))
    }

public val Res.string.waiting_for_approval_to_join: StringResource by lazy {
      StringResource("string:waiting_for_approval_to_join", "waiting_for_approval_to_join", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15363, 80),
      ))
    }

public val Res.string.waiting_title: StringResource by lazy {
      StringResource("string:waiting_title", "waiting_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15444, 49),
      ))
    }

public val Res.string.weekly: StringResource by lazy {
      StringResource("string:weekly", "weekly", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15494, 22),
      ))
    }

public val Res.string.weeks: StringResource by lazy {
      StringResource("string:weeks", "weeks", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15517, 21),
      ))
    }

public val Res.string.x_axis: StringResource by lazy {
      StringResource("string:x_axis", "x_axis", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15539, 22),
      ))
    }

public val Res.string.y_axis: StringResource by lazy {
      StringResource("string:y_axis", "y_axis", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15562, 22),
      ))
    }

public val Res.string.year: StringResource by lazy {
      StringResource("string:year", "year", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15630, 20),
      ))
    }

public val Res.string.yearly: StringResource by lazy {
      StringResource("string:yearly", "yearly", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15585, 22),
      ))
    }

public val Res.string.years: StringResource by lazy {
      StringResource("string:years", "years", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15608, 21),
      ))
    }

public val Res.string.your_dob_label: StringResource by lazy {
      StringResource("string:your_dob_label", "your_dob_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15651, 46),
      ))
    }

public val Res.string.your_gender_label: StringResource by lazy {
      StringResource("string:your_gender_label", "your_gender_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15698, 41),
      ))
    }

public val Res.string.your_name_label: StringResource by lazy {
      StringResource("string:your_name_label", "your_name_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15740, 35),
      ))
    }

public val Res.string.your_note: StringResource by lazy {
      StringResource("string:your_note", "your_note", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15776, 69),
      ))
    }

public val Res.string.your_profile_title: StringResource by lazy {
      StringResource("string:your_profile_title", "your_profile_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 15846, 42),
      ))
    }

@InternalResourceApi
internal fun _collectCommonMainString3Resources(map: MutableMap<String, StringResource>) {
  map.put("supported_by", Res.string.supported_by)
  map.put("system_administrator", Res.string.system_administrator)
  map.put("take_new_photo_from_camera", Res.string.take_new_photo_from_camera)
  map.put("task_completion_percentage", Res.string.task_completion_percentage)
  map.put("teacher", Res.string.teacher)
  map.put("teachers", Res.string.teachers)
  map.put("terms_and_conditions", Res.string.terms_and_conditions)
  map.put("time", Res.string.time)
  map.put("time_of_day", Res.string.time_of_day)
  map.put("time_range", Res.string.time_range)
  map.put("title", Res.string.title)
  map.put("to_", Res.string.to_)
  map.put("toggle_visibility", Res.string.toggle_visibility)
  map.put("top_5_apps", Res.string.top_5_apps)
  map.put("top_5_languages", Res.string.top_5_languages)
  map.put("top_5_lessons", Res.string.top_5_lessons)
  map.put("top_5_schools", Res.string.top_5_schools)
  map.put("top_5_students", Res.string.top_5_students)
  map.put("total_content_usage_duration", Res.string.total_content_usage_duration)
  map.put("total_duration", Res.string.total_duration)
  map.put("total_score", Res.string.total_score)
  map.put("try_it", Res.string.try_it)
  map.put("unit", Res.string.unit)
  map.put("unknown_error", Res.string.unknown_error)
  map.put("unspecified", Res.string.unspecified)
  map.put("untitled_report", Res.string.untitled_report)
  map.put("userId_placeholder", Res.string.userId_placeholder)
  map.put("user_role", Res.string.user_role)
  map.put("username_label", Res.string.username_label)
  map.put("username_starts_with_number", Res.string.username_starts_with_number)
  map.put("username_too_long", Res.string.username_too_long)
  map.put("username_too_short", Res.string.username_too_short)
  map.put("value", Res.string.`value`)
  map.put("waiting_for_approval_to_join", Res.string.waiting_for_approval_to_join)
  map.put("waiting_title", Res.string.waiting_title)
  map.put("weekly", Res.string.weekly)
  map.put("weeks", Res.string.weeks)
  map.put("x_axis", Res.string.x_axis)
  map.put("y_axis", Res.string.y_axis)
  map.put("year", Res.string.year)
  map.put("yearly", Res.string.yearly)
  map.put("years", Res.string.years)
  map.put("your_dob_label", Res.string.your_dob_label)
  map.put("your_gender_label", Res.string.your_gender_label)
  map.put("your_name_label", Res.string.your_name_label)
  map.put("your_note", Res.string.your_note)
  map.put("your_profile_title", Res.string.your_profile_title)
}
